Update tag

PUT /api/v1/tags/{tag_id}

Update an existing tag

Operation ID: update_tag_api_v1_tags__tag_id__put · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

tag_id string required

Request body

name string

Name of the tag

description string

Description of the tag

tag_group_id string

Tag group to organize this tag under

Responses

200 Successful Response

name string required

Name of the tag

description string

Description of the tag

id string required

Unique identifier for the tag

tag_group_id string

Tag group this tag belongs to

tag_group_name string

Name of the tag group (if any)

usage_count integer

Number of entities using this tag

created_at string · date-time required

Timestamp when the tag was created

updated_at string · date-time required

Timestamp when the tag was last updated

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

409 Conflict - Resource already exists

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object